OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape Class Reference

`#include <PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape.hxx>`

Inheritance diagram for PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape:

[legend]

## Public Member Functions
Standard_EXPORT | PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape ()
Standard_EXPORT | PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape (const Handle(PTopoDS_HShape)&aValue)
Standard_EXPORT void | SetValue (const Handle(PTopoDS_HShape)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape (const Storage_stCONSTclCOM &a)
| Handle (PTopoDS_HShape) _CSFDB_GetPTopoDS_VArrayNodeOfFieldOfHArray1OfHShapemyValue() const
void | _CSFDB_SetPTopoDS_VArrayNodeOfFieldOfHArray1OfHShapemyValue (const Handle(PTopoDS_HShape)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PTopoDS_HShape | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape::PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape | ( |  | ) |

Standard_EXPORT PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape::PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape | ( | const Handle(PTopoDS_HShape)& | aValue | ) |

PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape::PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape::_CSFDB_SetPTopoDS_VArrayNodeOfFieldOfHArray1OfHShapemyValue | ( | const Handle(PTopoDS_HShape)& | p | ) | `[inline]`

Standard_EXPORT const PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape::Handle | ( | PTopoDS_HShape |  | ) | const`[inline]`

Standard_EXPORT void PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape::SetValue | ( | const Handle(PTopoDS_HShape)& | aValue | ) |

Standard_EXPORT Standard_Address PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape::Value | ( |  | ) | const

## Field Documentation

Handle_PTopoDS_HShape PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape::myValue`[private]`

The documentation for this class was generated from the following file:

- PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape.hxx